List rates
curl --request GET \
--url https://api.panoqore.example/v1/fx/rates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/fx/rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/fx/rates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/fx/rates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"rates": [
{
"id": "<string>",
"base": "<string>",
"quote": "<string>",
"mid": "<string>",
"spreadBps": "<string>",
"source": "<string>",
"status": "WAITING_SIGN_OFF",
"enteredBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"signedOffBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"approvalId": "<string>",
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z"
}
],
"page": {
"nextCursor": "<string>",
"total": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}FX
List rates
Scope: read.
GET
/
v1
/
fx
/
rates
List rates
curl --request GET \
--url https://api.panoqore.example/v1/fx/rates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/fx/rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/fx/rates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/fx/rates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"rates": [
{
"id": "<string>",
"base": "<string>",
"quote": "<string>",
"mid": "<string>",
"spreadBps": "<string>",
"source": "<string>",
"status": "WAITING_SIGN_OFF",
"enteredBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"signedOffBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"approvalId": "<string>",
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z"
}
],
"page": {
"nextCursor": "<string>",
"total": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Authorizations
An API key, pk_live_… or pk_test_….
Query Parameters
1..200, default 50
Example:
"USD"
Example:
"NGN"